Get all locations
curl --request GET \
--url http://pinpoint.devops.arabiaweather.com/locationsimport requests
url = "http://pinpoint.devops.arabiaweather.com/locations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://pinpoint.devops.arabiaweather.com/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 103492520,
"info": {
"arabic_name": "",
"english_name": "Tamayo",
"french_name": "Tamayo",
"country_code": "do",
"country_arabic_name": "جمهورية الدومينيكان",
"country_english_name": "Dominican Republic",
"country_french_name": "République Dominicaine",
"admin_id": null,
"admin_arabic_name": null,
"admin_english_name": null,
"admin_french_name": null,
"lat": 18.4,
"lng": -71.2,
"timezone": "America/Santo_Domingo",
"elevation": 33
}
}
]location
Get all locations
Replies with a JSON object containing all location’s info
GET
/
locations
Get all locations
Query Parameters
Whether to include enterprise locations
Response
200 - application/json
All locations information
Example:
[
{
"id": 103492520,
"info": {
"arabic_name": "",
"english_name": "Tamayo",
"french_name": "Tamayo",
"country_code": "do",
"country_arabic_name": "جمهورية الدومينيكان",
"country_english_name": "Dominican Republic",
"country_french_name": "République Dominicaine",
"admin_id": null,
"admin_arabic_name": null,
"admin_english_name": null,
"admin_french_name": null,
"lat": 18.4,
"lng": -71.2,
"timezone": "America/Santo_Domingo",
"elevation": 33
}
}
]
⌘I

